/*******************************************************************************
+
+  LEDA 3.4
+
+  REDEFINE_NAMES.h
+
+  This file is part of the LEDA research version (LEDA-R) that can be 
+  used free of charge in academic research and teaching. Any commercial
+  use of this software requires a license which is distributed by the
+  LEDA Software GmbH, Postfach 151101, 66041 Saarbruecken, FRG
+  (fax +49 681 31104).
+
+  Copyright (c) 1991-1996  by  Max-Planck-Institut fuer Informatik
+  Im Stadtwald, 66123 Saarbruecken, Germany     
+  All rights reserved.
+ 
*******************************************************************************/


// type names conflicting with STL templates

/*
#define string  leda_string
#define vector  leda_vector
#define matrix  leda_matrix
#define list 	leda_list
#define stack 	leda_stack
#define queue 	leda_queue
#define map  	leda_map
#define set  	leda_set
*/


/*
#define array            leda_array
#define array2           leda_array2
#define b_node_pq        leda_b_node_pq
#define b_prio           leda_b_prio
#define b_queue          leda_b_queue
#define b_stack          leda_b_stack
#define base_window      leda_base_window
#define bigfloat         leda_bigfloat
#define circle           leda_circle
#define d2_dictionary    leda_d2_dictionary
#define d3_dictionary    leda_d3_dictionary
#define d_array          leda_d_array
#define dictionary       leda_dictionary
#define edge_array       leda_edge_array
#define edge_map         leda_edge_map
#define edge_set         leda_edge_set
#define floatf           leda_floatf
#define graph            leda_graph
#define h_array          leda_h_array
#define handle_types     leda_handle_types
#define hash             leda_hash
#define int_set          leda_int_set
#define integer          leda_integer
#define integer_vector   leda_integer_vector
#define integer_matrix   leda_integer_matrix
#define interval_set     leda_interval_set
#define iteration        leda_iteration
#define line             leda_line
#define list             leda_list
#define map              leda_map
#define matrix           leda_matrix
#define node_array       leda_node_array
#define node_list        leda_node_list
#define node_map         leda_node_map
#define node_matrix      leda_node_matrix
#define node_partition   leda_node_partition
#define node_pq          leda_node_pq
#define node_set         leda_node_set
#define node_slist       leda_node_slist
#define p_dictionary     leda_p_dictionary
#define p_queue          leda_p_queue
#define panel            leda_panel
#define partition        leda_partition
#define planar_map       leda_planar_map
#define point            leda_point
#define point_set        leda_point_set
#define polygon          leda_polygon
#define prio             leda_prio
#define queue            leda_queue
#define random           leda_random
#define ray              leda_ray
#define rat_circle       leda_rat_circle
#define rat_line         leda_rat_line
#define rat_point        leda_rat_point
#define rat_polygon      leda_rat_polygon
#define rat_ray          leda_rat_ray
#define rat_segment      leda_rat_segment
#define rat_vector       leda_rat_vector
#define rational         leda_rational
#define real             leda_real
#define segment          leda_segment
#define segment_set      leda_segment_set
#define set              leda_set
#define slist            leda_slist
#define sortseq          leda_sortseq
#define stack            leda_stack
#define string           leda_string
#define subdivision      leda_subdivision
#define tree_collection  leda_tree_collection
#define ugraph           leda_ugraph
#define vector           leda_vector
#define window           leda_window
*/
