/*******************************************************************************
+
+  LEDA 3.4
+
+  plane_graph.h
+
+  This file is part of the LEDA research version (LEDA-R) that can be 
+  used free of charge in academic research and teaching. Any commercial
+  use of this software requires a license which is distributed by the
+  LEDA Software GmbH, Postfach 151101, 66041 Saarbruecken, FRG
+  (fax +49 681 31104).
+
+  Copyright (c) 1991-1996  by  Max-Planck-Institut fuer Informatik
+  Im Stadtwald, 66123 Saarbruecken, Germany     
+  All rights reserved.
+ 
*******************************************************************************/
#ifndef LEDA_PLANE_GRAPH_H
#define LEDA_PLANE_GRAPH_H

#if !defined(LEDA_ROOT_INCL_ID)
#define LEDA_ROOT_INCL_ID 340083
#include <LEDA/REDEFINE_NAMES.h>
#endif


#include <LEDA/point.h>
#include <LEDA/graph.h>
#include <LEDA/ugraph.h>


typedef GRAPH<point,int>    graph_point_int_dummy;
typedef GRAPH<point,point>  graph_point_point_dummy;
typedef GRAPH<point,edge>   graph_point_edge_dummy;


#if LEDA_ROOT_INCL_ID == 340083
#undef LEDA_ROOT_INCL_ID
#include <LEDA/UNDEFINE_NAMES.h>
#endif

#endif
