/*******************************************************************************
+
+  LEDA 3.4
+
+  thread.h
+
+  This file is part of the LEDA research version (LEDA-R) that can be 
+  used free of charge in academic research and teaching. Any commercial
+  use of this software requires a license which is distributed by the
+  LEDA Software GmbH, Postfach 151101, 66041 Saarbruecken, FRG
+  (fax +49 681 31104).
+
+  Copyright (c) 1991-1996  by  Max-Planck-Institut fuer Informatik
+  Im Stadtwald, 66123 Saarbruecken, Germany     
+  All rights reserved.
+ 
*******************************************************************************/
#ifndef LEDA_THREAD_H
#define LEDA_THREAD_H

#if defined(MULTI_THREAD)

/*
#include <LEDA/thread/cps_mutex.h>
#include <LEDA/thread/pos_mutex.h>
*/
#include <LEDA/thread/sol_mutex.h>
#include <LEDA/thread/guard.h>
#include <LEDA/thread/lock.h>
#include <LEDA/thread/semaphore.h>

#else

#include <LEDA/thread/dummy_mutex.h>

#endif

#endif

