#include "ged.h"


void display_node_data(window& W, GRAPH<point,int>& G, node v)
{ panel P;
  double x = G[v].xcoord();
  double y = G[v].ycoord();
  P.text_item("");
  P.text_item(string(" node-id    %d ",         index(v)));
  P.text_item(string(" position   (%.2f,%.2f) ",x,y));
  P.text_item(string(" outdegree  %d ",         G.outdeg(v)));
  P.text_item(string(" indegree   %d ",         G.indeg(v)));
  P.text_item("");
  P.buttons_per_line(1);
  P.display(W,W.xpix(x),W.ypix(y));
  W.read_mouse();
 }


