#include <LEDA/plane_alg.h>

main()
{
  list<point> L;

  int n = read_int("n= ");
  for(int i = 1; i<n; i++)
     for(int j = 1; j<n; j++)
        L.append(point(i,j));

  L.permute();

  cout << "CONVEX_HULL(point) " << flush;
  float T = used_time();
  list<point> C = CONVEX_HULL(L);
  cout << string("|C| = %d   time = %.2f",C.length(),used_time(T)) << endl;

  point p;
  forall(p,C) cout << p << endl;

  return 0;
}
