#include <LEDA/window.h>

color col = green2;

void slider_red(int x)   { col.set_red(x); }
void slider_green(int x) { col.set_green(x); }
void slider_blue(int x)  { col.set_blue(x); }


int main()
{
  window W(450,450,"define color");
  int r,g,b;

  col.get_rgb(r,g,b);

  W.int_item("red  ",r,0,255,slider_red);   // sliders with actions
  W.int_item("green",g,0,255,slider_green);
  W.int_item("blue ",b,0,255,slider_blue);
  W.button("redraw",1);
  W.button("quit",0);

  W.display(window::center,window::center);

  W.draw_filled_circle(50,35,30,green2);

  while (W.read_mouse())
     W.draw_filled_circle(50,35,30,green2);

  return 0;
}
