#include <LEDA/window.h>
#include <LEDA/stream.h>

static char c_bits[] = {
 0x40,0x10,0x00,0x40,0x10,0x00,0x40,0x10,0x00,0x40,0x10,0x00,0x40,0x10,0x00,
 0x40,0x10,0x00,0xff,0xff,0x07,0xc0,0x1f,0x00,0xc0,0x1f,0x00,0xc0,0x1f,0x00,
 0xc0,0x1f,0x00,0xc0,0x1f,0x00,0xff,0xff,0x07,0x40,0x10,0x00,0x40,0x10,0x00,
 0x40,0x10,0x00,0x40,0x10,0x00,0x40,0x10,0x00,0x40,0x10,0x00};



int main()
{ 
  bool   B     = false;
  color  col   = blue2;
  double R     = 3.1415;
  int    C     = 0;
  int    C1    = 0;
  int    N     = 100;
  string S0    = "string0";
  string S     = "dummy";
  string S1    = "menu";

  int but_num = 8;

  list<string> M1;
#if defined(unix)
  cmd_istream LS1("ls -1 *.c");
  M1.read(LS1);
#else
  M1.append("menu-item-0");
  M1.append("menu-item-1");
  M1.append("menu-item-2");
  M1.append("menu-item-3");
  M1.append("menu-item-4");
  M1.append("menu-item-5");
  M1.append("menu-item-6");
  M1.append("menu-item-7");
  M1.append("menu-item-8");
#endif


  list<string> M2;
#if defined(unix)
  cmd_istream LS2("ls -1 *.o");
  M2.read(LS2);
#else
  M2.append("menu-item-0");
  M2.append("menu-item-1");
  M2.append("menu-item-2");
  M2.append("menu-item-3");
  M2.append("menu-item-4");
#endif


  for(;;)
  {
    panel P("PANEL DEMO");
  
    P.text_item("Here we have a text item (just a line of text) and");
    P.text_item("another text item, followed by an empty line");
    P.text_item("");
  
    P.bool_item("bool_item",B);
    P.color_item("color_item",col);
    P.int_item("int_item(1,100)",but_num,1,100);
    P.string_item("string_item(M1)",S0,M1);
    P.string_item("string_item(M2)",S1,M2);
    P.string_item("string_item",S);
    P.int_item("int_item",N);
    P.double_item("double_item",R);
    P.choice_item("choice_item",C,"zero","one","two","three", "four");
    P.int_item("int_item(0,80,20)",C1,0,80,20);
  
    int i;
    for(i=0; i < but_num; i++) P.button(string("%d",i));
  
    P.button("quit");
    P.button(19,19,c_bits,"hallo");
  
    int button = P.open();
  
    if (button == i) break;
   }
 
  return 0;
}
  
