#include <LEDA/graph_alg.h>
#include<iostream.h>
#include "graphwin.h"

void do_nothing(void) {};

void my_new_node_handler(GraphWin& gw, node v) {
  cout << "my_new_node_handler" << endl;
}

void my_new_edge_handler(GraphWin& gw, edge e) {
  cout << "my_new_edge_handler" << endl;
}
  
void my_move_node_handler(GraphWin& gw, node v) {
  cout << "my_move_node_handler" << endl;
}  

void my_delete_node_handler(GraphWin& gw, node v) {
  cout << "my_delete_node_handler" << endl;
}
  
void my_delete_edge_handler(GraphWin& gw, edge e) {
  cout << "my_delete_edge_handler" << endl;
}  
    
  


main() {

  GraphWin GW1("Andreas' GraphWindow");
  
/*  
  GW1.set_new_node_handler(my_new_node_handler);
  GW1.set_new_edge_handler(my_new_edge_handler);
  GW1.set_move_node_handler(my_move_node_handler);
  GW1.set_delete_node_handler(my_delete_node_handler);
  GW1.set_delete_edge_handler(my_delete_edge_handler);
*/

  int menu0=gw_add_menu(GW1, "My Calls");
  
  int menu1=gw_add_menu(GW1,"dfs - type",menu0);
  
  int menu2=gw_add_menu(GW1,"other",menu0);

  gw_add_call(GW1, TOPSORT, "TOPSORT", menu2 );
  gw_add_call(GW1, COMPONENTS, "COMPONENTS", menu2);
  gw_add_call(GW1, SPANNING_TREE, "SPANNING_TREE", menu2);

  gw_add_call(GW1, do_nothing, "ADJ_NODES", menu2);
  
  int menu3=GW1.add_menu("mehr",menu1);
  
  gw_add_call(GW1, DFS_NUM, "DFS_NUM",menu1);
  gw_add_call(GW1, DFS, "DFS",menu3);
  
  GW1.open();

//  gw_call(GW1,DFS);
  
//  GW1.wait();

  graph G;
  random_graph(G,16,32);	// 10 Knoten, 20 Kanten
  
  node v1,v2,v3;
  
  forall_nodes(v1,G) { v3=v2; v2=v1; }
  
  edge e,e1;
  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  G.new_edge(v2,v3);  // zusaetzliche Kante  
  
  GraphWin GW2(G);

/*
  gw_add_call(GW2, DFS, "DFS");
  gw_add_call(GW2, TOPSORT, "TOPSORT");
  gw_add_call(GW2, COMPONENTS, "COMPONENTS");
*/
  
  GW2.open();

  GW2.set_flush(true);
 
  int i=1;

/*

  forall_nodes(v1,G) {
    GW2.set_node_nr(v1,i++);
    GW2.set_color(v1,yellow);
    GW2.show_label(v1);
    GW2.wait(1.5);
  }
  


  GW2.set_node_text(v3,"SUSI");
  GW2.show_label(v3);

  GW2.call(DFS);

  GW1.close();
  
  forall_edges(e1,G) {
  
    GW2.set_color(e1,blue);
    GW2.set_style(e1,dotted);
    GW2.wait(1);
    
  }
 
  gw_call(GW2,TOPSORT);

*/   

//  GW2.wait("Ende nach naechstem 'CONTINUE'");

  return 0;
}
