#-----------------------------------------------------------------------------
#  WATCOM (OS/2)
#-----------------------------------------------------------------------------

DOSLIB = ..\..\leda0.lib ..\..\leda.lib

CC   = wpp386 -zq -bt=os2v2 -DUSE_DLL

!ifdef WINDOW_APP
LINK = wcl386 -zq -bt=os2v2 -l=os2v2_pm -k256k -x
RC   = rc leda.res
!else
LINK = wcl386 -zq -bt=os2v2 -k256k -x
RC   = wtouch
!endif
 
o = .obj
e = .exe

.c.obj:
	$(CC) $(CFLAGS) $(DFLAGS) -I..\..\incl $*.c

.obj.exe:
	$(LINK) $*.obj $(DOSLIB)
	$(RC)   $*.exe

.c.exe:
	$(CC) $(CFLAGS) $(DFLAGS) -I..\..\incl $*.c
	$(LINK) $*.obj $(DOSLIB)
	@if exist leda.res rc leda.res $*.exe


!include Make.lst


all: $(PROGS)

ged.exe: $(OBJECTS)
        $(LINK) -fe=ged.exe *.obj $(DOSLIB)
        rc leda.res ged.exe

clean:
	rm -f *.obj $(PROGS)

