/*******************************************************************************
+
+  LEDA 3.4
+
+  graph_edit.h
+
+  This file is part of the LEDA research version (LEDA-R) that can be 
+  used free of charge in academic research and teaching. Any commercial
+  use of this software requires a license which is distributed by the
+  LEDA Software GmbH, Postfach 151101, 66041 Saarbruecken, FRG
+  (fax +49 681 31104).
+
+  Copyright (c) 1991-1996  by  Max-Planck-Institut fuer Informatik
+  Im Stadtwald, 66123 Saarbruecken, Germany     
+  All rights reserved.
+ 
*******************************************************************************/
#include <LEDA/window.h>
#include <LEDA/plane_graph.h>

/*{\Manpage {graph_edit} {} {A Simple Graph Editor} }*/

void graph_edit(window& W,GRAPH<point,int>& G,bool dir=true,bool redraw=true);
/*{\Mfunc     starts a simple graph editor in window $W$ allowing to display
              and manipulate graph $G$. If the boolean flag $dir$ is $true$
              $G$ is displayed as a directed graph, otherwise, it is displayed
              undirected. }*/

