#include <LEDA/graph_alg.h>

main()
{
  graph G;
  
  int n = read_int("n = ");

  bool embed = Yes("embed (y/n): ");

  for(;;)
  {

  random_graph(G,n,rand_int(n/3,n));

  Delete_Loops(G);
  //Make_Simple(G);
  if (embed)
  { Make_Biconnected(G);
    Make_Bidirected(G);
   }

  edge_array<int> index(G);
  int count = 0;

  edge e;
  forall_edges(e,G) index[e] = count++;


  cout << "PLANAR  " << flush;
  float T = used_time();
  bool plan0 = PLANAR(G,embed);  
  cout << string(" time = %.2f  result = %d",used_time(T),plan0) << endl;


  G.sort_edges(index);

  cout << "PLANAR0 " << flush;
  T = used_time();
  bool plan1 = PLANAR0(G,embed);  
  cout << string(" time = %.2f  result = %d",used_time(T),plan1) << endl;

  newline;

  }

  return 0;
}
