 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.g++
---------------------------------------------------------------------
 
 
Configuring makefiles for g++ and shared libraries under SunOS5 5.5.

Using X11 Headers from /usr/openwin/include

CC      = g++ -fpic -DSHARED_LIB
CCLIB   = g++ -G
LD      = g++

no ranlib
cd src;  make -k clean
cd basic;     make -k clean
rm -f _array.o  _basic.o  _dlist.o  _dyn_tree.o  _error.o  _global.o  _matrix.o  _memory.o  _olist.o  _partition.o  _random.o  _slist.o  _string.o  _thread.o  _vector.o
cd basic_alg; make -k clean
rm -f _select.o
cd numbers;   make -k clean;\
	          if sparc; then make -k sparc-clean; fi
rm -f _bigfloat.o  _integer.o  _int_matrix.o  _int_vector.o  _rational.o  _real.o
rm -f _sparc*.o
cd dict;      make -k clean
rm -f _ab_tree.o  _avl_tree.o  _bb_tree.o  _bb1_tree.o  _bin_tree.o  _ch_hash.o  _ch_array.o  _ch_map.o  _dp_hash.o  _int_set.o  _pers_tree.o  _rb_tree.o  _rs_tree.o  _skiplist.o
cd prio;      make -k clean
rm -f _b_heap.o  _bin_heap.o  _eb_tree.o  _f_heap.o  _k_heap.o  _m_heap.o  _p_aux_heap.o  _p_heap.o  _r_heap.o  _list_pq.o
cd graph;     make -k clean
rm -f _graph.o  _g_generate.o  _g_inout.o  _g_map.o  _g_matrix.o  _g_misc.o  _g_objects.o  _g_partition.o  _g_random.o  _g_sort.o  _planar_map.o  _pq_tree.o
cd graph_alg; make -k clean
rm -f _all_pa1.o  _all_pa2.o  _bellma1.o  _bellma2.o  _bfs.o  _bicomponents.o  _components.o  _dfs.o  _dfsnum.o  _dijkst1.o  _dijkst2.o  _embed1.o  _embed2.o  _kuratowski.o  _maxflo1.o  _maxflo2.o  _mc_flow.o  _mc_matching.o  _mcb_matching.o  _min_cut.o  _min_sp1.o  _min_sp2.o  _mwb_ma1.o  _mwb_ma2.o  _planar.o  _planar1.o  _spanning.o  _strongcomp.o  _topsort.o  _transclosure.o  _triang.o  _stnumb.o
cd plane;     make -k clean
rm -f _point.o  _segment.o  _ray.o  _line.o  _circle.o  _pglobal.o  _polygon.o  _point_set.o  _iv_tree.o  _ps_tree.o  _range_tree.o  _rat_point.o  _rat_segment.o  _rat_ray.o  _rat_line.o  _rat_circle.o  _rat_polygon.o  _seg_set.o  _seg_tree.o  _subdivision.o
cd plane_alg; make -k clean
rm -f _float_closest.o  _float_balaban.o  _float_delaunay.o  _float_hull.o  _float_misc.o  _float_mulmuley.o  _float_sweep.o  _float_triang.o  _float_trivial.o  _float_voronoi.o  _rat_closest.o  _rat_balaban.o  _rat_delaunay.o  _rat_hull.o  _rat_misc.o  _rat_mulmuley.o  _rat_sweep.o  _rat_triang.o  _rat_trivial.o  _rat_voronoi.o
cd window;    make -k clean
rm -f _base_window.o  _base_panel.o  _color.o  _window.o  _wglobal.o  _graph_edit.o
cd x11;       make -k clean
rm -f _x11.o
cd msdos;     make -k clean
rm -f _gbase.o _x_basic.o _winmgr.o
cd prog; make -k clean
cd basic;     make -k clean
rm -f *.o array  bigfloat  bigint  col2  fib  Int  list  ltest  matrix  matrix1  order  pair  param  real_test  seg_inter  sort_test  stream  string  vec core
cd dict;      make -k clean
rm -f *.o d_array  d_array1  d_array2  d_array_test  dic  dic_impl  dic_test  h_array  hash_dic  int_set  map  p_dic  seq_test  set  skip_test  sortseq core
cd prio;      make -k clean
rm -f *.o prio  prio_test core
cd graph;     make -k clean
rm -f *.o array  bi_matching  bicomp  comp  dijkstra  embedding  gengrid  gparam  matching  maxflow  nfa  planar  plan_test  planar_map  read_graph  scan  schedule  short  shorttest  spanning  speed  strongcomp  subgraph  testall  transclosure  vec  write_graph core
cd plane;     make -k clean
rm -f *.o bala_test  clos_test  dic2_test  delau_test  hull_test  order  pset_test  segint_test  sw_test  sweep_test  voro_test core
cd window;    make -k clean
rm -f *.o blue  clock  color  defcolor  draw  event  hilbert  leda  lman  logo  panel  polyhedr  rgb  tim  windows core
cd demo;      make -k clean
rm -f *.o bin_tree  ch_hull  color5  delau_demo  graph_alg  map_demo  matching  plan_demo  point_set  poly_demo  segint_demo  strongcomp  sweep_demo  sweep_anim  voro_demo  voronoi_seg core
cd graphedit; make -k clean
rm -f *.o ged core
rm -f lib*.a lib*.so
 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.CC
---------------------------------------------------------------------
 
 
Configuring makefiles for CC and shared libraries under SunOS5 5.5.
Looking for "CC" ...
ok, CC = sunpro.

Using X11 Headers from /usr/openwin/include

CC      = CC -pto -noex -pic -DSHARED_LIB
CCLIB   = CC -G
LD      = CC

no ranlib
cd src;  make -k clean
cd basic;     make -k clean
rm -f _array.o  _basic.o  _dlist.o  _dyn_tree.o  _error.o  _global.o  _matrix.o  _memory.o  _olist.o  _partition.o  _random.o  _slist.o  _string.o  _thread.o  _vector.o
cd basic_alg; make -k clean
rm -f _select.o
cd numbers;   make -k clean;\
	          if sparc; then make -k sparc-clean; fi
rm -f _bigfloat.o  _integer.o  _int_matrix.o  _int_vector.o  _rational.o  _real.o
rm -f _sparc*.o
cd dict;      make -k clean
rm -f _ab_tree.o  _avl_tree.o  _bb_tree.o  _bb1_tree.o  _bin_tree.o  _ch_hash.o  _ch_array.o  _ch_map.o  _dp_hash.o  _int_set.o  _pers_tree.o  _rb_tree.o  _rs_tree.o  _skiplist.o
cd prio;      make -k clean
rm -f _b_heap.o  _bin_heap.o  _eb_tree.o  _f_heap.o  _k_heap.o  _m_heap.o  _p_aux_heap.o  _p_heap.o  _r_heap.o  _list_pq.o
cd graph;     make -k clean
rm -f _graph.o  _g_generate.o  _g_inout.o  _g_map.o  _g_matrix.o  _g_misc.o  _g_objects.o  _g_partition.o  _g_random.o  _g_sort.o  _planar_map.o  _pq_tree.o
cd graph_alg; make -k clean
rm -f _all_pa1.o  _all_pa2.o  _bellma1.o  _bellma2.o  _bfs.o  _bicomponents.o  _components.o  _dfs.o  _dfsnum.o  _dijkst1.o  _dijkst2.o  _embed1.o  _embed2.o  _kuratowski.o  _maxflo1.o  _maxflo2.o  _mc_flow.o  _mc_matching.o  _mcb_matching.o  _min_cut.o  _min_sp1.o  _min_sp2.o  _mwb_ma1.o  _mwb_ma2.o  _planar.o  _planar1.o  _spanning.o  _strongcomp.o  _topsort.o  _transclosure.o  _triang.o  _stnumb.o
cd plane;     make -k clean
rm -f _point.o  _segment.o  _ray.o  _line.o  _circle.o  _pglobal.o  _polygon.o  _point_set.o  _iv_tree.o  _ps_tree.o  _range_tree.o  _rat_point.o  _rat_segment.o  _rat_ray.o  _rat_line.o  _rat_circle.o  _rat_polygon.o  _seg_set.o  _seg_tree.o  _subdivision.o
cd plane_alg; make -k clean
rm -f _float_closest.o  _float_balaban.o  _float_delaunay.o  _float_hull.o  _float_misc.o  _float_mulmuley.o  _float_sweep.o  _float_triang.o  _float_trivial.o  _float_voronoi.o  _rat_closest.o  _rat_balaban.o  _rat_delaunay.o  _rat_hull.o  _rat_misc.o  _rat_mulmuley.o  _rat_sweep.o  _rat_triang.o  _rat_trivial.o  _rat_voronoi.o
cd window;    make -k clean
rm -f _base_window.o  _base_panel.o  _color.o  _window.o  _wglobal.o  _graph_edit.o
cd x11;       make -k clean
rm -f _x11.o
cd msdos;     make -k clean
rm -f _gbase.o _x_basic.o _winmgr.o
cd prog; make -k clean
cd basic;     make -k clean
rm -f *.o array  bigfloat  bigint  col2  fib  Int  list  ltest  matrix  matrix1  order  pair  param  real_test  seg_inter  sort_test  stream  string  vec core
cd dict;      make -k clean
rm -f *.o d_array  d_array1  d_array2  d_array_test  dic  dic_impl  dic_test  h_array  hash_dic  int_set  map  p_dic  seq_test  set  skip_test  sortseq core
cd prio;      make -k clean
rm -f *.o prio  prio_test core
cd graph;     make -k clean
rm -f *.o array  bi_matching  bicomp  comp  dijkstra  embedding  gengrid  gparam  matching  maxflow  nfa  planar  plan_test  planar_map  read_graph  scan  schedule  short  shorttest  spanning  speed  strongcomp  subgraph  testall  transclosure  vec  write_graph core
cd plane;     make -k clean
rm -f *.o bala_test  clos_test  dic2_test  delau_test  hull_test  order  pset_test  segint_test  sw_test  sweep_test  voro_test core
cd window;    make -k clean
rm -f *.o blue  clock  color  defcolor  draw  event  hilbert  leda  lman  logo  panel  polyhedr  rgb  tim  windows core
cd demo;      make -k clean
rm -f *.o bin_tree  ch_hull  color5  delau_demo  graph_alg  map_demo  matching  plan_demo  point_set  poly_demo  segint_demo  strongcomp  sweep_demo  sweep_anim  voro_demo  voronoi_seg core
cd graphedit; make -k clean
rm -f *.o ged core
rm -f lib*.a lib*.so
 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.g++
---------------------------------------------------------------------
 
 
Configuring makefiles for g++ and shared libraries under SunOS5 5.5.

Using X11 Headers from /usr/openwin/include

CC      = g++ -fpic -DSHARED_LIB
CCLIB   = g++ -G
LD      = g++

no ranlib
cd basic;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _array.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _basic.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dlist.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dyn_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _error.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _global.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _matrix.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _memory.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _olist.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _partition.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _random.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _slist.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _string.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _thread.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _vector.c
ar cr ../../libL.a _array.o _basic.o _dlist.o _dyn_tree.o _error.o _global.o _matrix.o _memory.o _olist.o _partition.o _random.o _slist.o _string.o _thread.o _vector.o
g++ -G -o ../../libL.so libtmp/*.o
cd basic_alg; make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _select.c
ar cr ../../libL.a _select.o
g++ -G -o ../../libL.so libtmp/*.o
cd numbers;   make -k CFLAGS=-O;\
                          if sparc; then make -k sparc; fi
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bigfloat.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _integer.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_matrix.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_vector.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rational.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _real.c
ar cr ../../libL.a _bigfloat.o _integer.o _int_matrix.o _int_vector.o _rational.o _real.o
g++ -G -o ../../libL.so libtmp/*.o
as -o _sparc_mul.o _sparc_mul.s
as -o _sparc_div.o _sparc_div.s
as -o _sparc_add.o _sparc_add.s
as -o _sparc_sub.o _sparc_sub.s
ar cr ../../libL.a _sparc_mul.o _sparc_div.o _sparc_add.o _sparc_sub.o
cd dict;      make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ab_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _avl_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bb_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bb1_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bin_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_hash.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_array.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_map.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dp_hash.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_set.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pers_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rb_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rs_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _skiplist.c
ar cr ../../libL.a _ab_tree.o _avl_tree.o _bb_tree.o _bb1_tree.o _bin_tree.o _ch_hash.o _ch_array.o _ch_map.o _dp_hash.o _int_set.o _pers_tree.o _rb_tree.o _rs_tree.o _skiplist.o
g++ -G -o ../../libL.so libtmp/*.o
cd prio;      make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _b_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bin_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _eb_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _f_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _k_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _m_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _p_aux_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _p_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _r_heap.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _list_pq.c
ar cr ../../libL.a _b_heap.o _bin_heap.o _eb_tree.o _f_heap.o _k_heap.o _m_heap.o _p_aux_heap.o _p_heap.o _r_heap.o _list_pq.o
g++ -G -o ../../libL.so libtmp/*.o
cd graph;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _graph.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_generate.c
_g_generate.c: In function `void complete_bigraph(class graph &, int, int, class list<node_struct *> &, class list<node_struct *> &)':
_g_generate.c:84: warning: variable `forall_loop_item' shadows local
_g_generate.c:83: warning:   this is the shadowed declaration
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_inout.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_map.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_matrix.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_misc.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_objects.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_partition.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_random.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_sort.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _planar_map.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pq_tree.c
ar cr ../../libG.a _graph.o _g_generate.o _g_inout.o _g_map.o _g_matrix.o _g_misc.o _g_objects.o _g_partition.o _g_random.o _g_sort.o _planar_map.o _pq_tree.o
g++ -G -o ../../libG.so libtmp/*.o
cd graph_alg; make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _all_pa1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _all_pa2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bellma1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bellma2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bfs.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bicomponents.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _components.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dfs.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dfsnum.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dijkst1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dijkst2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _embed1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _embed2.c
_embed2.c: In function `void Contract(class graph &, class node_struct *, class node_struct *, class node_struct *, class list<node_struct *> &)':
_embed2.c:26: warning: variable `leda_adj_loop_e' shadows local
_embed2.c:24: warning:   this is the shadowed declaration
_embed2.c:42: warning: variable `leda_adj_loop_e' shadows local
_embed2.c:38: warning:   this is the shadowed declaration
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _kuratowski.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _maxflo1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _maxflo2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mc_flow.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mc_matching.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mcb_matching.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_cut.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_sp1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_sp2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mwb_ma1.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mwb_ma2.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _planar.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _planar1.c
_planar1.c: In function `bool PLANAR1(class graph &, bool = false)':
_planar1.c:168: warning: variable `forall_loop_item' shadows local
_planar1.c:148: warning:   this is the shadowed declaration
_planar1.c:170: warning: variable `forall_loop_item' shadows local
_planar1.c:148: warning:   this is the shadowed declaration
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _spanning.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _strongcomp.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _topsort.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _transclosure.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _triang.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _stnumb.c
ar cr ../../libG.a _all_pa1.o _all_pa2.o _bellma1.o _bellma2.o _bfs.o _bicomponents.o _components.o _dfs.o _dfsnum.o _dijkst1.o _dijkst2.o _embed1.o _embed2.o _kuratowski.o _maxflo1.o _maxflo2.o _mc_flow.o _mc_matching.o _mcb_matching.o _min_cut.o _min_sp1.o _min_sp2.o _mwb_ma1.o _mwb_ma2.o _planar.o _planar1.o _spanning.o _strongcomp.o _topsort.o _transclosure.o _triang.o _stnumb.o
g++ -G -o ../../libG.so libtmp/*.o
cd plane;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _point.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _segment.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ray.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _line.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _circle.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pglobal.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _polygon.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _point_set.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _iv_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ps_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _range_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_point.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_segment.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_ray.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_line.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_circle.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_polygon.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _seg_set.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _seg_tree.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _subdivision.c
ar cr ../../libP.a _point.o _segment.o _ray.o _line.o _circle.o _pglobal.o _polygon.o _point_set.o _iv_tree.o _ps_tree.o _range_tree.o _rat_point.o _rat_segment.o _rat_ray.o _rat_line.o _rat_circle.o _rat_polygon.o _seg_set.o _seg_tree.o _subdivision.o
g++ -G -o ../../libP.so libtmp/*.o
cd plane_alg; make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_closest.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_balaban.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_delaunay.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_hull.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_misc.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_mulmuley.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_sweep.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_triang.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_trivial.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_voronoi.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_closest.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_balaban.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_delaunay.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_hull.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_misc.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_mulmuley.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_sweep.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_triang.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_trivial.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_voronoi.c
ar cr ../../libP.a _float_closest.o _float_balaban.o _float_delaunay.o _float_hull.o _float_misc.o _float_mulmuley.o _float_sweep.o _float_triang.o _float_trivial.o _float_voronoi.o _rat_closest.o _rat_balaban.o _rat_delaunay.o _rat_hull.o _rat_misc.o _rat_mulmuley.o _rat_sweep.o _rat_triang.o _rat_trivial.o _rat_voronoi.o
g++ -G -o ../../libP.so libtmp/*.o
cd window;    make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _base_window.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _base_panel.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _color.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _window.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _wglobal.c
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _graph_edit.c
ar cr ../../libP.a _base_window.o _base_panel.o _color.o _window.o _wglobal.o _graph_edit.o
g++ -G -o ../../libP.so libtmp/*.o
cd x11;       make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -I/usr/openwin/include -c _x11.c
ar cr ../../libWx.a _x11.o
g++ -G -o ../../libWx.so libtmp/*.o
 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.CC
---------------------------------------------------------------------
 
 
Configuring makefiles for CC and shared libraries under SunOS5 5.5.
Looking for "CC" ...
ok, CC = sunpro.

Using X11 Headers from /usr/openwin/include

CC      = CC -pto -noex -pic -DSHARED_LIB
CCLIB   = CC -G
LD      = CC

no ranlib
cd basic;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _array.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _basic.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dlist.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dyn_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _error.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _global.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _matrix.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _memory.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _olist.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _partition.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _random.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _slist.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _string.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _thread.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _vector.c
ar cr ../../libL.a _array.o _basic.o _dlist.o _dyn_tree.o _error.o _global.o _matrix.o _memory.o _olist.o _partition.o _random.o _slist.o _string.o _thread.o _vector.o
CC -G -o ../../libL.so libtmp/*.o
cd basic_alg; make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _select.c
ar cr ../../libL.a _select.o
CC -G -o ../../libL.so libtmp/*.o
cd numbers;   make -k CFLAGS=-O;\
                          if sparc; then make -k sparc; fi
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bigfloat.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _integer.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_matrix.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_vector.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rational.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _real.c
ar cr ../../libL.a _bigfloat.o _integer.o _int_matrix.o _int_vector.o _rational.o _real.o
CC -G -o ../../libL.so libtmp/*.o
as -o _sparc_mul.o _sparc_mul.s
as -o _sparc_div.o _sparc_div.s
as -o _sparc_add.o _sparc_add.s
as -o _sparc_sub.o _sparc_sub.s
ar cr ../../libL.a _sparc_mul.o _sparc_div.o _sparc_add.o _sparc_sub.o
cd dict;      make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ab_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _avl_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bb_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bb1_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bin_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_hash.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_array.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ch_map.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _dp_hash.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _int_set.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pers_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rb_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rs_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _skiplist.c
ar cr ../../libL.a _ab_tree.o _avl_tree.o _bb_tree.o _bb1_tree.o _bin_tree.o _ch_hash.o _ch_array.o _ch_map.o _dp_hash.o _int_set.o _pers_tree.o _rb_tree.o _rs_tree.o _skiplist.o
CC -G -o ../../libL.so libtmp/*.o
cd prio;      make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _b_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _bin_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _eb_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _f_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _k_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _m_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _p_aux_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _p_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _r_heap.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _list_pq.c
ar cr ../../libL.a _b_heap.o _bin_heap.o _eb_tree.o _f_heap.o _k_heap.o _m_heap.o _p_aux_heap.o _p_heap.o _r_heap.o _list_pq.o
CC -G -o ../../libL.so libtmp/*.o
cd graph;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _graph.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_generate.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_inout.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_map.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_matrix.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_misc.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_objects.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_partition.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_random.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _g_sort.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _planar_map.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pq_tree.c
ar cr ../../libG.a _graph.o _g_generate.o _g_inout.o _g_map.o _g_matrix.o _g_misc.o _g_objects.o _g_partition.o _g_random.o _g_sort.o _planar_map.o _pq_tree.o
CC -G -o ../../libG.so libtmp/*.o
cd graph_alg; make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _all_pa1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _all_pa2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bellma1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bellma2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bfs.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _bicomponents.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _components.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dfs.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dfsnum.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dijkst1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _dijkst2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _embed1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _embed2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _kuratowski.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _maxflo1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _maxflo2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mc_flow.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mc_matching.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mcb_matching.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_cut.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_sp1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _min_sp2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mwb_ma1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _mwb_ma2.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _planar.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _planar1.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _spanning.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _strongcomp.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _topsort.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _transclosure.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _triang.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -DLEDA_CHECKING_OFF -c _stnumb.c
ar cr ../../libG.a _all_pa1.o _all_pa2.o _bellma1.o _bellma2.o _bfs.o _bicomponents.o _components.o _dfs.o _dfsnum.o _dijkst1.o _dijkst2.o _embed1.o _embed2.o _kuratowski.o _maxflo1.o _maxflo2.o _mc_flow.o _mc_matching.o _mcb_matching.o _min_cut.o _min_sp1.o _min_sp2.o _mwb_ma1.o _mwb_ma2.o _planar.o _planar1.o _spanning.o _strongcomp.o _topsort.o _transclosure.o _triang.o _stnumb.o
CC -G -o ../../libG.so libtmp/*.o
cd plane;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _point.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _segment.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ray.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _line.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _circle.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _pglobal.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _polygon.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _point_set.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _iv_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _ps_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _range_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_point.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_segment.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_ray.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_line.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_circle.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_polygon.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _seg_set.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _seg_tree.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _subdivision.c
ar cr ../../libP.a _point.o _segment.o _ray.o _line.o _circle.o _pglobal.o _polygon.o _point_set.o _iv_tree.o _ps_tree.o _range_tree.o _rat_point.o _rat_segment.o _rat_ray.o _rat_line.o _rat_circle.o _rat_polygon.o _seg_set.o _seg_tree.o _subdivision.o
CC -G -o ../../libP.so libtmp/*.o
cd plane_alg; make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_closest.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_balaban.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_delaunay.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_hull.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_misc.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_mulmuley.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_sweep.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_triang.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_trivial.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _float_voronoi.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_closest.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_balaban.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_delaunay.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_hull.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_misc.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_mulmuley.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_sweep.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_triang.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_trivial.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _rat_voronoi.c
ar cr ../../libP.a _float_closest.o _float_balaban.o _float_delaunay.o _float_hull.o _float_misc.o _float_mulmuley.o _float_sweep.o _float_triang.o _float_trivial.o _float_voronoi.o _rat_closest.o _rat_balaban.o _rat_delaunay.o _rat_hull.o _rat_misc.o _rat_mulmuley.o _rat_sweep.o _rat_triang.o _rat_trivial.o _rat_voronoi.o
CC -G -o ../../libP.so libtmp/*.o
cd window;    make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _base_window.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _base_panel.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _color.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _window.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _wglobal.c
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O  -c _graph_edit.c
ar cr ../../libP.a _base_window.o _base_panel.o _color.o _window.o _wglobal.o _graph_edit.o
CC -G -o ../../libP.so libtmp/*.o
cd x11;       make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -DLEDA_INSTALL -I../../incl -O -I/usr/openwin/include -c _x11.c
ar cr ../../libWx.a _x11.o
CC -G -o ../../libWx.so libtmp/*.o
 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.g++
---------------------------------------------------------------------
 
 
Configuring makefiles for g++ and shared libraries under SunOS5 5.5.

Using X11 Headers from /usr/openwin/include

CC      = g++ -fpic -DSHARED_LIB
CCLIB   = g++ -G
LD      = g++

no ranlib
cd prog; make -k FLAGS=-O
cd basic;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c array.c
g++ -o array array.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bigfloat.c
g++ -o bigfloat bigfloat.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bigint.c
g++ -o bigint bigint.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c col2.c
g++ -o col2 col2.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c fib.c
g++ -o fib fib.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c Int.c
g++ -o Int Int.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c list.c
g++ -o list list.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c ltest.c
g++ -o ltest ltest.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c matrix.c
g++ -o matrix matrix.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c matrix1.c
g++ -o matrix1 matrix1.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c order.c
g++ -o order order.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c pair.c
g++ -o pair pair.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c param.c
g++ -o param param.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c real_test.c
g++ -o real_test real_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c seg_inter.c
g++ -o seg_inter seg_inter.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sort_test.c
g++ -o sort_test sort_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c stream.c
g++ -o stream stream.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c string.c
g++ -o string string.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c vec.c
g++ -o vec vec.o -L../.. -lL -lm
cd dict;      make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c d_array.c
g++ -o d_array d_array.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c d_array1.c
g++ -o d_array1 d_array1.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c d_array2.c
g++ -o d_array2 d_array2.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c d_array_test.c
g++ -o d_array_test d_array_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c dic.c
g++ -o dic dic.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c dic_impl.c
g++ -o dic_impl dic_impl.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c dic_test.c
g++ -o dic_test dic_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c h_array.c
g++ -o h_array h_array.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c hash_dic.c
g++ -o hash_dic hash_dic.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c int_set.c
g++ -o int_set int_set.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c map.c
g++ -o map map.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c p_dic.c
g++ -o p_dic p_dic.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c seq_test.c
g++ -o seq_test seq_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c set.c
g++ -o set set.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c skip_test.c
g++ -o skip_test skip_test.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sortseq.c
g++ -o sortseq sortseq.o -L../.. -lL -lm
cd prio;      make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c prio.c
g++ -o prio prio.o -L../.. -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c prio_test.c
g++ -o prio_test prio_test.o -L../.. -lL -lm
cd graph;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c array.c
g++ -o array array.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bi_matching.c
g++ -o bi_matching bi_matching.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bicomp.c
g++ -o bicomp bicomp.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c comp.c
g++ -o comp comp.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c dijkstra.c
g++ -o dijkstra dijkstra.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c embedding.c
g++ -o embedding embedding.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c gengrid.c
g++ -o gengrid gengrid.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c gparam.c
g++ -o gparam gparam.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c matching.c
g++ -o matching matching.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c maxflow.c
g++ -o maxflow maxflow.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c nfa.c
g++ -o nfa nfa.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c planar.c
g++ -o planar planar.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c plan_test.c
g++ -o plan_test plan_test.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c planar_map.c
g++ -o planar_map planar_map.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c read_graph.c
g++ -o read_graph read_graph.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c scan.c
g++ -o scan scan.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c schedule.c
g++ -o schedule schedule.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c short.c
g++ -o short short.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c shorttest.c
g++ -o shorttest shorttest.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c spanning.c
g++ -o spanning spanning.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c speed.c
g++ -o speed speed.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c strongcomp.c
g++ -o strongcomp strongcomp.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c subgraph.c
g++ -o subgraph subgraph.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c testall.c
g++ -o testall testall.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c transclosure.c
g++ -o transclosure transclosure.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c vec.c
g++ -o vec vec.o -L../.. -lG -lL -lm
g++ -fpic -DSHARED_LIB -O  -I../../incl -c write_graph.c
g++ -o write_graph write_graph.o -L../.. -lG -lL -lm
cd plane;     make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bala_test.c
g++ -o bala_test bala_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c clos_test.c
g++ -o clos_test clos_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c dic2_test.c
g++ -o dic2_test dic2_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c delau_test.c
g++ -o delau_test delau_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c hull_test.c
g++ -o hull_test hull_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c order.c
g++ -o order order.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c pset_test.c
g++ -o pset_test pset_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c segint_test.c
g++ -o segint_test segint_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sw_test.c
g++ -o sw_test sw_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sweep_test.c
g++ -o sweep_test sweep_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c voro_test.c
g++ -o voro_test voro_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd window;    make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c blue.c
g++ -o blue blue.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c clock.c
g++ -o clock clock.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c color.c
g++ -o color color.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c defcolor.c
g++ -o defcolor defcolor.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c draw.c
g++ -o draw draw.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c event.c
g++ -o event event.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c hilbert.c
g++ -o hilbert hilbert.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c leda.c
g++ -o leda leda.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c lman.c
g++ -o lman lman.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c logo.c
g++ -o logo logo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c panel.c
g++ -o panel panel.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c polyhedr.c
g++ -o polyhedr polyhedr.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c rgb.c
g++ -o rgb rgb.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c tim.c
g++ -o tim tim.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c windows.c
g++ -o windows windows.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd demo;      make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c bin_tree.c
g++ -o bin_tree bin_tree.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c ch_hull.c
g++ -o ch_hull ch_hull.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c color5.c
g++ -o color5 color5.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c delau_demo.c
g++ -o delau_demo delau_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c graph_alg.c
g++ -o graph_alg graph_alg.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c map_demo.c
g++ -o map_demo map_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c matching.c
g++ -o matching matching.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c plan_demo.c
g++ -o plan_demo plan_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c point_set.c
g++ -o point_set point_set.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c poly_demo.c
g++ -o poly_demo poly_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c segint_demo.c
g++ -o segint_demo segint_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c strongcomp.c
g++ -o strongcomp strongcomp.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sweep_demo.c
g++ -o sweep_demo sweep_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c sweep_anim.c
g++ -o sweep_anim sweep_anim.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c voro_demo.c
g++ -o voro_demo voro_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
g++ -fpic -DSHARED_LIB -O  -I../../incl -c voronoi_seg.c
g++ -o voronoi_seg voronoi_seg.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd graphedit; make -k CFLAGS=-O
g++ -fpic -DSHARED_LIB -O  -I../../incl -c ged.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c draw.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c embed.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c file.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c info.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c locate.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c diag.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c misc.c
g++ -fpic -DSHARED_LIB -O  -I../../incl -c spring.c
g++ -o ged ged.o draw.o embed.o file.o info.o locate.o diag.o misc.o spring.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
 
 
 
---------------------------------------------------------------------
/LEDA/LINK/solaris/leda.CC
---------------------------------------------------------------------
 
 
Configuring makefiles for CC and shared libraries under SunOS5 5.5.
Looking for "CC" ...
ok, CC = sunpro.

Using X11 Headers from /usr/openwin/include

CC      = CC -pto -noex -pic -DSHARED_LIB
CCLIB   = CC -G
LD      = CC

no ranlib
cd prog; make -k FLAGS=-O
cd basic;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c array.c
CC -o array array.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bigfloat.c
CC -o bigfloat bigfloat.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bigint.c
CC -o bigint bigint.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c col2.c
CC -o col2 col2.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c fib.c
CC -o fib fib.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c Int.c
CC -o Int Int.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c list.c
CC -o list list.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c ltest.c
CC -o ltest ltest.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c matrix.c
CC -o matrix matrix.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c matrix1.c
CC -o matrix1 matrix1.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c order.c
CC -o order order.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c pair.c
CC -o pair pair.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c param.c
CC -o param param.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c real_test.c
CC -o real_test real_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c seg_inter.c
CC -o seg_inter seg_inter.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sort_test.c
CC -o sort_test sort_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c stream.c
CC -o stream stream.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c string.c
CC -o string string.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c vec.c
CC -o vec vec.o -L../.. -lL -lm
cd dict;      make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c d_array.c
CC -o d_array d_array.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c d_array1.c
CC -o d_array1 d_array1.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c d_array2.c
CC -o d_array2 d_array2.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c d_array_test.c
CC -o d_array_test d_array_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c dic.c
CC -o dic dic.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c dic_impl.c
CC -o dic_impl dic_impl.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c dic_test.c
CC -o dic_test dic_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c h_array.c
CC -o h_array h_array.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c hash_dic.c
CC -o hash_dic hash_dic.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c int_set.c
CC -o int_set int_set.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c map.c
CC -o map map.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c p_dic.c
CC -o p_dic p_dic.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c seq_test.c
CC -o seq_test seq_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c set.c
CC -o set set.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c skip_test.c
CC -o skip_test skip_test.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sortseq.c
CC -o sortseq sortseq.o -L../.. -lL -lm
cd prio;      make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c prio.c
CC -o prio prio.o -L../.. -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c prio_test.c
CC -o prio_test prio_test.o -L../.. -lL -lm
cd graph;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c array.c
CC -o array array.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bi_matching.c
CC -o bi_matching bi_matching.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bicomp.c
CC -o bicomp bicomp.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c comp.c
CC -o comp comp.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c dijkstra.c
CC -o dijkstra dijkstra.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c embedding.c
CC -o embedding embedding.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c gengrid.c
CC -o gengrid gengrid.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c gparam.c
CC -o gparam gparam.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c matching.c
CC -o matching matching.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c maxflow.c
CC -o maxflow maxflow.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c nfa.c
CC -o nfa nfa.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c planar.c
CC -o planar planar.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c plan_test.c
CC -o plan_test plan_test.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c planar_map.c
CC -o planar_map planar_map.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c read_graph.c
CC -o read_graph read_graph.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c scan.c
CC -o scan scan.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c schedule.c
CC -o schedule schedule.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c short.c
CC -o short short.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c shorttest.c
CC -o shorttest shorttest.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c spanning.c
CC -o spanning spanning.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c speed.c
CC -o speed speed.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c strongcomp.c
CC -o strongcomp strongcomp.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c subgraph.c
CC -o subgraph subgraph.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c testall.c
CC -o testall testall.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c transclosure.c
CC -o transclosure transclosure.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c vec.c
CC -o vec vec.o -L../.. -lG -lL -lm
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c write_graph.c
CC -o write_graph write_graph.o -L../.. -lG -lL -lm
cd plane;     make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bala_test.c
CC -o bala_test bala_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c clos_test.c
CC -o clos_test clos_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c dic2_test.c
CC -o dic2_test dic2_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c delau_test.c
CC -o delau_test delau_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c hull_test.c
CC -o hull_test hull_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c order.c
CC -o order order.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c pset_test.c
CC -o pset_test pset_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c segint_test.c
CC -o segint_test segint_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sw_test.c
CC -o sw_test sw_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sweep_test.c
CC -o sweep_test sweep_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c voro_test.c
CC -o voro_test voro_test.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd window;    make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c blue.c
CC -o blue blue.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c clock.c
CC -o clock clock.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c color.c
CC -o color color.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c defcolor.c
CC -o defcolor defcolor.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c draw.c
CC -o draw draw.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c event.c
CC -o event event.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c hilbert.c
CC -o hilbert hilbert.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c leda.c
CC -o leda leda.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c lman.c
CC -o lman lman.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c logo.c
CC -o logo logo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c panel.c
CC -o panel panel.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c polyhedr.c
CC -o polyhedr polyhedr.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c rgb.c
CC -o rgb rgb.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c tim.c
CC -o tim tim.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c windows.c
CC -o windows windows.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd demo;      make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c bin_tree.c
CC -o bin_tree bin_tree.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c ch_hull.c
CC -o ch_hull ch_hull.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c color5.c
CC -o color5 color5.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c delau_demo.c
CC -o delau_demo delau_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c graph_alg.c
CC -o graph_alg graph_alg.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c map_demo.c
CC -o map_demo map_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c matching.c
CC -o matching matching.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c plan_demo.c
CC -o plan_demo plan_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c point_set.c
CC -o point_set point_set.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c poly_demo.c
CC -o poly_demo poly_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c segint_demo.c
CC -o segint_demo segint_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c strongcomp.c
CC -o strongcomp strongcomp.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sweep_demo.c
CC -o sweep_demo sweep_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c sweep_anim.c
CC -o sweep_anim sweep_anim.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c voro_demo.c
CC -o voro_demo voro_demo.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c voronoi_seg.c
CC -o voronoi_seg voronoi_seg.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
cd graphedit; make -k CFLAGS=-O
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c ged.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c draw.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c embed.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c file.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c info.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c locate.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c diag.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c misc.c
CC -pto -noex -pic -DSHARED_LIB -O  -I../../incl -c spring.c
CC -o ged ged.o draw.o embed.o file.o info.o locate.o diag.o misc.o spring.o -L../.. -lP -lG -lL -lWx -lX11 -lm -lsocket -lthread
